> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Contents



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents:
    get:
      tags:
        - Collection Item Lifecycle
      summary: Contents
      operationId: CollectionItemLifecycleController_contents_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: search
          required: false
          in: query
          schema:
            type: string
            maxLength: 255
        - name: cursor
          required: false
          in: query
          schema:
            type: string
            maxLength: 2048
        - name: limit
          required: false
          in: query
          schema:
            default: 30
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionLifecycleContentsPageDto'
      security:
        - bearer: []
components:
  schemas:
    CollectionLifecycleContentsPageDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntrySummaryDto'
        collectionVersion:
          type: number
        snapshotAvailable:
          type: boolean
        nextCursor:
          type:
            - string
            - 'null'
        hasMore:
          type: boolean
      required:
        - items
        - collectionVersion
        - snapshotAvailable
        - nextCursor
        - hasMore
    CollectionEntrySummaryDto:
      type: object
      properties:
        primaryReferenceItem:
          anyOf:
            - $ref: '#/components/schemas/CollectionPrimaryReferenceItemDto'
            - type: 'null'
        id:
          type: string
        name:
          type: string
        productTypeId:
          type:
            - string
            - 'null'
        categoryId:
          type: string
        categoryLabel:
          type: string
        categoryPath:
          type: array
          items:
            $ref: '#/components/schemas/CollectionCategoryPathItemDto'
        productTypeLabel:
          type: string
        description:
          type:
            - string
            - 'null'
        areaReference:
          type:
            - string
            - 'null'
        parLevel:
          type:
            - string
            - 'null'
        applyParToPurchaseQuantity:
          type: boolean
        quantity:
          type: string
        mandatoryItem:
          type: boolean
        designReviewRequired:
          type: boolean
        optionalManufacturers:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryManufacturerDto'
        mandatoryManufacturerId:
          type:
            - string
            - 'null'
        instructionsCount:
          type: number
        requirementsCount:
          type: number
        position:
          type: number
        referencesCount:
          type: number
        primaryReferenceItemId:
          type:
            - string
            - 'null'
        referenceCode:
          type:
            - string
            - 'null'
        referenceNumber:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        imagesCount:
          type: number
        validationIssueCount:
          type: number
        version:
          type: number
      required:
        - primaryReferenceItem
        - id
        - name
        - productTypeId
        - categoryId
        - categoryLabel
        - categoryPath
        - productTypeLabel
        - description
        - areaReference
        - parLevel
        - applyParToPurchaseQuantity
        - quantity
        - mandatoryItem
        - designReviewRequired
        - optionalManufacturers
        - mandatoryManufacturerId
        - instructionsCount
        - requirementsCount
        - position
        - referencesCount
        - primaryReferenceItemId
        - referenceCode
        - referenceNumber
        - imageUrl
        - imagesCount
        - validationIssueCount
        - version
    CollectionPrimaryReferenceItemDto:
      type: object
      properties:
        id:
          type: string
        catalogFamilyId:
          type:
            - string
            - 'null'
        catalogFamilyVersion:
          type:
            - number
            - 'null'
        catalogAttributes:
          anyOf:
            - $ref: '#/components/schemas/CollectionCatalogReferenceAttributesDto'
            - type: 'null'
      required:
        - id
        - catalogFamilyId
        - catalogFamilyVersion
        - catalogAttributes
    CollectionCategoryPathItemDto:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
      required:
        - id
        - label
    CollectionEntryManufacturerDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        available:
          type: boolean
      required:
        - id
        - name
        - available
    CollectionCatalogReferenceAttributesDto:
      type: object
      properties:
        manufacturerName:
          type:
            - string
            - 'null'
        classification:
          $ref: '#/components/schemas/CollectionCatalogReferenceClassificationDto'
        family:
          type: object
          additionalProperties: true
        item:
          type: object
          additionalProperties: true
        familySource:
          type:
            - object
            - 'null'
          additionalProperties: true
        itemSource:
          type:
            - object
            - 'null'
          additionalProperties: true
      required:
        - manufacturerName
        - family
        - item
        - familySource
        - itemSource
    CollectionCatalogReferenceClassificationDto:
      type: object
      properties:
        categoryId:
          type: string
        categoryLabel:
          type: string
        productTypeId:
          type:
            - string
            - 'null'
        productTypeLabel:
          type:
            - string
            - 'null'
      required:
        - categoryId
        - categoryLabel
        - productTypeId
        - productTypeLabel
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.